void change5p(int busca, void Anim)

        
{ 



    

       void self         = getlocalvar("self"); 
       void parent       = getentityproperty(self, "parent");
       void parentmodel  = getentityproperty(parent, "model");
       void phealth      = getentityproperty(parent, "health");
       
        
        

         

         if(parentmodel==busca)
                    {

                       if(getentityproperty(parent, "animationid")==openborconstant("ANI_IDLE"))

                              {
                                changeentityproperty(parent, "velocity", 0, 0, 0);
                                changeentityproperty(self, "animation", openborconstant(Anim));
                              }
                    }
         

}

